//
//  KSTransmission.h
//  kinescopeClient
//
//  Created by ihawk on 7/9/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "transmission.h"

#define UPDATE_INFO_SECONDS 1.0
#define UPDATE_CREATE_INFO_SECONDS 0.1

@interface KSTransmission : NSObject 
{

}

+(void)init;

+(void)deinit;

+(tr_handle_t*)getLibrary;

+(void)updateSettings;

+(void)updateTorrents;

+(id)createDownloadWithPath:(NSString *)torrentPath outputFile:(NSString *)torrentOutputFile delegate:(id)del;
 
+(id)createDownloadWithURL:(NSString *)torrentURL outputFile:(NSString *)torrentOutputFile delegate:(id)del;

+(void)deleteDownload: (id) manager;

+(void)deleteSeeder:(id) torrent;

+(void)initTimer;

+(void)deinitTimer;

+(void)initCreateTimer;

+(void)deinitCreateTimer;

+(void)stopSeeding;

+(id)createSeederWithPath:(NSString *)torrentPath;

+(id)createCreatorForFile:(NSString *)file atPath:(NSString *)torrentPath delegate: del;

+(void)deleteCreator:(id) manager;

+(NSArray*)getSeeders;

+(NSArray*)getSeeders:(NSArray*)localFileNames;

+(NSArray*)getSeededFileNames:(NSArray*)localFileNames;

@end
